## xmlrpc-c 1.60.05

=== lib/Makefile ===
ifeq ($(SRCDIR),)
  updir = $(shell echo $(dir $(1)) | sed 's/.$$//')
  SRCDIR := $(call updir,$(CURDIR))
  BLDDIR := $(SRCDIR)
endif
SUBDIR := lib

include $(BLDDIR)/config.mk

# Build up SUBDIRS:
SUBDIRS = 
SUBDIRS += util libutil
ifeq ($(ENABLE_CPLUSPLUS),yes)
  SUBDIRS += libutil++
endif
ifeq ($(ENABLE_ABYSS_SERVER),yes)
  SUBDIRS += abyss
  ifeq ($(ENABLE_CPLUSPLUS),yes)
    SUBDIRS += abyss++
  endif
endif
ifeq ($(MUST_BUILD_WININET_CLIENT),yes)
  SUBDIRS += wininet_transport
endif
ifeq ($(MUST_BUILD_CURL_CLIENT),yes)
  SUBDIRS += curl_transport
endif
ifeq ($(MUST_BUILD_LIBWWW_CLIENT),yes)
  SUBDIRS += libwww_transport
endif
ifneq ($(ENABLE_LIBXML2_BACKEND),yes)
  SUBDIRS += expat
endif

ifeq ($(HAVE_OPENSSL),yes)
  SUBDIRS += openssl
endif

default: all

.PHONY: all clean distclean tags distdir install check dep

all: $(SUBDIRS:%=%/all)

# Extra dependencies to make parallel make work in spite of all the submakes
# (See top level make file for details)
abyss/all curl_transport/all: $(BLDDIR)/version.h
abyss++/all: abyss/all
abyss/all expat/all libutil++/all: libutil/all

clean: $(SUBDIRS:%=%/clean) clean-common

distclean: $(SUBDIRS:%=%/distclean) distclean-common

tags: $(SUBDIRS:%=%/tags) TAGS

DISTFILES = 

distdir: distdir-common

install: $(SUBDIRS:%=%/install)

uninstall: $(SUBDIRS:%=%/uninstall)

check:

dep: $(SUBDIRS:%=%/dep)

include $(SRCDIR)/common.mk

=== lib/openssl/Makefile ===
ifeq ($(SRCDIR),)
  updir = $(shell echo $(dir $(1)) | sed 's/.$$//')
  LIBDIR := $(call updir,$(CURDIR))
  SRCDIR := $(call updir,$(LIBDIR))
  BLDDIR := $(SRCDIR)
endif
SUBDIR := lib/openssl

include $(BLDDIR)/config.mk

default: all

MODS := xmlrpc_openssl_thread

TARGET_MODS = $(MODS)

TARGET_LIBRARY_NAMES := libxmlrpc_openssl

STATIC_LIBRARIES_TO_INSTALL = libxmlrpc_openssl.a

SHARED_LIBS_TO_BUILD := libxmlrpc_openssl
SHARED_LIBS_TO_INSTALL := libxmlrpc_openssl

PKGCONFIG_FILES_TO_INSTALL := xmlrpc_openssl.pc

MAJ := 1

OPENSSL_INCLUDES := $(shell $(PKG_CONFIG) openssl --cflags)
OPENSSL_LIBS     := $(shell $(PKG_CONFIG) openssl --libs)

include $(SRCDIR)/common.mk

OPENSSL_SHLIB = $(call shlibfn,libxmlrpc_openssl)
#OPENSSL_SHLIB is e.g. libxmlrpc_openssl.so.3.1
OPENSSL_SHLIBLE = $(call shliblefn,libxmlrpc_openssl)
#OPENSSL_SHLIBLE is e.g. libxmlrpc_openssl.so

# This 'common.mk' dependency makes sure the symlinks get built before
# this make file is used for anything.

$(SRCDIR)/common.mk: srcdir blddir

.PHONY: all
all: libxmlrpc_openssl.a \
  $(TARGET_SHARED_LIBRARIES) \
  $(TARGET_SHARED_LE_LIBS) \
  $(PKGCONFIG_FILES_TO_INSTALL) \

# Rules for the above dependencies are in common.mk,
# courtesy of TARGET_MODS.

# Rule for this is in common.mk, courtesy of TARGET_LIBRARY_NAMES
$(OPENSSL_SHLIB): $(TARGET_MODS:%=%.osh) \
	$(LIBXMLRPC_UTIL)
$(OPENSSL_SHLIB): LIBOBJECTS = $(TARGET_MODS:%=%.osh)
$(OPENSSL_SHLIB): LIBDEP = $(LIBXMLRPC_UTIL_LIBDEP) $(OPENSSL_LIBS)

# Rule for this is in common.mk, courtesy of TARGET_STATIC_LIBRARIES:

libxmlrpc_openssl.a: $(TARGET_MODS:%=%.o)
libxmlrpc_openssl.a: LIBOBJECTS = $(TARGET_MODS:%=%.o)

#-----------------------------------------------------------------------------
#  RULES TO COMPILE OBJECT MODULES FOR LIBRARIES
#-----------------------------------------------------------------------------

INCLUDES = \
  -I$(BLDDIR) \
  -I$(BLDDIR)/include \
  -Isrcdir/include \
  -Isrcdir/lib/util/include \
  $(OPENSSL_INCLUDES)

#-----------------------------------------------------------------------------
# RULES TO MAKE PKGCONFIG FILES
#
# (These are files used by the 'pkg-config' program to get information about
# using the libraries we build)
#-----------------------------------------------------------------------------

xmlrpc_openssl.pc:
	rm -f $@
	@echo "Echoes to '$@' suppressed here ..."
	@echo "Name:        xmlrpc_openssl"                                >>$@
	@echo "Description: Openssl convenience function from Xmlrpc-c package"                 >>$@
	@echo "Version:     $(XMLRPC_VERSION_STRING)"                      >>$@
	@echo	                                                           >>$@
	@echo "Requires: xmlrpc_util"                                      >>$@
	@echo "Libs:     -L$(LIBDESTDIR) -lxmlrpc_openssl"                 >>$@
	@echo "Cflags:   -I$(HEADERDESTDIR)"                               >>$@

#-----------------------------------------------------------------------------
#  MISCELLANEOUS
#-----------------------------------------------------------------------------

.PHONY: clean
clean: clean-common

.PHONY: distclean
distclean: clean distclean-common

.PHONY: tags
tags: TAGS

.PHONY: distdir
distdir:

.PHONY: install
install: install-common

.PHONY: uninstall
uninstall: uninstall-common

.PHONY: dep
dep: dep-common

include depend.mk

# Need this dependency for those who don't use depend.mk.
# Without it, version.h doesn't get created.
xmlrpc_curl_transport.o xmlrpc_curl_transport.osh: version.h

=== lib/abyss/src/Makefile ===
ifeq ($(SRCDIR),)
  updir = $(shell echo $(dir $(1)) | sed 's/.$$//')
  ABYSSDIR := $(call updir,$(CURDIR))
  LIBDIR := $(call updir,$(ABYSSDIR))
  SRCDIR := $(call updir,$(LIBDIR))
  BLDDIR := $(SRCDIR)
endif
SUBDIR := lib/abyss/src

include $(BLDDIR)/config.mk

default: all

TARGET_LIBRARY_NAMES := libxmlrpc_abyss

STATIC_LIBRARIES_TO_INSTALL = libxmlrpc_abyss.a

SHARED_LIBS_TO_BUILD := libxmlrpc_abyss
SHARED_LIBS_TO_INSTALL := libxmlrpc_abyss

ifeq ($(findstring mingw,$(HOST_OS)),mingw)
  THREAD_MODULE = thread_windows
  SOCKET_MODS = socket_win
else
  SOCKET_MODS = socket_unix
  ifeq ($(MUST_BUILD_ABYSS_OPENSSL),yes)
    SOCKET_MODS += socket_openssl
  endif

  SOCKET_MODS += sockutil

  ifeq ($(ENABLE_ABYSS_THREADS),yes)
    THREAD_MODULE = thread_pthread
  else
    THREAD_MODULE = thread_fork
  endif
endif

TARGET_MODS = \
  channel \
  chanswitch \
  conf \
  conn \
  data \
  date \
  file \
  handler \
  http \
  init \
  response \
  server \
  session \
  sessionReadRequest \
  socket \
  $(SOCKET_MODS) \
  token \
  $(THREAD_MODULE) \
  trace \



PKGCONFIG_FILES_TO_INSTALL := xmlrpc_abyss.pc

OMIT_ABYSS_LIB_RULE = Y
MAJ=3
  # Major number of shared libraries in this directory

include $(SRCDIR)/common.mk

CFLAGS_LOCAL = -D_UNIX

INCLUDES = \
  -Iblddir \
  -Iblddir/include \
  -Isrcdir \
  -Isrcdir/include \
  -Isrcdir/lib/util/include

ABYSS_SHLIB = $(call shlibfn,libxmlrpc_abyss)
#ABYSS_SHLIB is e.g. libxmlrpc_abyss.so.3.1
ABYSS_SHLIBLE = $(call shliblefn,libxmlrpc_abyss)
#ABYSS_SHLIBLE is e.g. libxmlrpc_abyss.so

# This 'common.mk' dependency makes sure the symlinks get built before
# this make file is used for anything.

$(SRCDIR)/common.mk: srcdir blddir

.PHONY: all
all: libxmlrpc_abyss.a \
  $(TARGET_SHARED_LIBRARIES) \
  $(TARGET_SHARED_LE_LIBS) \
  $(PKGCONFIG_FILES_TO_INSTALL) \

# Rule for this is in common.mk, courtesy of TARGET_LIBRARY_NAMES
$(ABYSS_SHLIB): $(TARGET_MODS:%=%.osh) \
	$(LIBXMLRPC_UTIL)
$(ABYSS_SHLIB): LIBOBJECTS = $(TARGET_MODS:%=%.osh)
$(ABYSS_SHLIB): LIBDEP = $(LIBXMLRPC_UTIL_LIBDEP) $(SOCKETLIBOPT)
ifeq ($(ENABLE_ABYSS_THREADS),yes)
  $(ABYSS_SHLIB):  LIBDEP += $(THREAD_LIBS)
endif
ifeq ($(MUST_BUILD_ABYSS_OPENSSL),yes)
$(ABYSS_SHLIB): LIBDEP += $(shell $(PKG_CONFIG) openssl --libs)
endif

# Rule for this is in common.mk, courtesy of TARGET_STATIC_LIBRARIES:

libxmlrpc_abyss.a: $(TARGET_MODS:%=%.o)
libxmlrpc_abyss.a: LIBOBJECTS = $(TARGET_MODS:%=%.o)

#-----------------------------------------------------------------------------
#  RULES TO COMPILE OBJECT MODULES FOR LIBRARIES
#-----------------------------------------------------------------------------

# Rules to compile object modules from which to build the static and shared
# Abyss library are in common.mk, courtesy of TARGET_MODS.

ifeq ($(MUST_BUILD_ABYSS_OPENSSL),yes)
socket_openssl.o socket_openssl.osh: \
  CFLAGS_TARGET+=$(shell $(PKG_CONFIG) openssl --cflags)
endif

#-----------------------------------------------------------------------------
# RULES TO MAKE PKGCONFIG FILES
#
# (These are files used by the 'pkg-config' program to get information about
# using the libraries we build)
#-----------------------------------------------------------------------------

SOCKLIB=$(SOCKETLIBOPT)

xmlrpc_abyss.pc:
	rm -f $@
	@echo "Echoes to '$@' suppressed here ..."
	@echo "Name:        xmlrpc_abyss"                                  >>$@
	@echo "Description: Xmlrpc-c Abyss HTTP C library"                 >>$@
	@echo "Version:     $(XMLRPC_VERSION_STRING)"                      >>$@
	@echo	                                                           >>$@
	@echo "Requires: xmlrpc_util"                                      >>$@
	@echo "Libs:     -L$(LIBDESTDIR) -lxmlrpc_abyss $(SOCKLIB)"        >>$@
	@echo "Cflags:   -I$(HEADERDESTDIR)"                               >>$@

# Need this dependency for those who don't use depend.mk.
# Without it, version.h doesn't get created.
response.o response.osh handler.o handler.osh: version.h

.PHONY: clean
clean: clean-common

.PHONY: distclean
distclean: clean distclean-common

.PHONY: tags
tags: TAGS

.PHONY: distdir
distdir:

.PHONY: install
install: install-common

.PHONY: uninstall
uninstall: uninstall-common

.PHONY: dep
dep: dep-common

include depend.mk

=== debian/changelog ===
xmlrpc-c (1.60.05-1) unstable; urgency=medium

  * New upstream version 1.60.05
  * Drop "Rules-Requires-Root: no": it is now the default
  * Refresh patches
  * Install new usr/lib/*/libxmlrpc_openssl.*

 -- Alexandre Detiste <tchet@debian.org>  Sat, 20 Dec 2025 15:26:38 +0100

=== debian/control ===
Source: xmlrpc-c
Priority: optional
Section: libs
Maintainer: Alexandre Detiste <tchet@debian.org>
# co-maintain & team-maintain is welcome
Build-Depends:
 debhelper-compat (= 13),
 dpkg-dev (>= 1.22.5),
 libcurl4-openssl-dev | libcurl3-openssl-dev,
 libexpat1-dev,
Standards-Version: 4.7.2
Homepage: http://xmlrpc-c.sourceforge.net
Vcs-Git: https://salsa.debian.org/debian/xmlrpc-c.git
Vcs-Browser: https://salsa.debian.org/debian/xmlrpc-c
X-Style: black

Package: libxmlrpc-c++9-dev
Section: libdevel
Architecture: any
Depends:
 libc6-dev,
 libxmlrpc-c++9 (= ${binary:Version}),
 libxmlrpc-core-c3-dev (= ${binary:Version}),
 ${misc:Depends},
Suggests:
 xmlrpc-api-utils,
Conflicts:
 libxmlrpc-c++8-dev,
Description: Lightweight RPC library based on XML and HTTP [C++ development libraries]
 XML-RPC is a quick-and-easy way to make procedure calls over the Internet.
 It converts the procedure call into an XML document, sends it to a remote
 server using HTTP, and gets back the response as XML.
 .
 This library provides a modular implementation of XML-RPC for C++.
 .
 Install this package if you wish to develop your own programs using this
 library.

Package: libxmlrpc-c++9
Architecture: any
Depends:
 libxmlrpc-core-c3t64 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 libxmlrpc-c++8,
Replaces:
 libxmlrpc-c++8,
Description: Lightweight RPC library based on XML and HTTP [C++ runtime libraries]
 XML-RPC is a quick-and-easy way to make procedure calls over the Internet.
 It converts the procedure call into an XML document, sends it to a remote
 server using HTTP, and gets back the response as XML.
 .
 This library provides a modular implementation of XML-RPC for C++.

Package: libxmlrpc-core-c3-dev
Section: libdevel
Architecture: any
Depends:
 libc6-dev,
 libcurl4-openssl-dev | libcurl4-gnutls-dev,
 libexpat1-dev,
 libxmlrpc-core-c3t64 (= ${binary:Version}),
 libxmlrpc-util-dev,
 ${misc:Depends},
Suggests:
 xmlrpc-api-utils,
Description: Lightweight RPC library based on XML and HTTP [C development libraries]
 XML-RPC is a quick-and-easy way to make procedure calls over the Internet.
 It converts the procedure call into an XML document, sends it to a remote
 server using HTTP, and gets back the response as XML.
 .
 This library provides a modular implementation of XML-RPC for C.
 .
 Install this package if you wish to develop your own programs using this
 library.

Package: libxmlrpc-core-c3t64
Provides:
 ${t64:Provides},
Replaces:
 libxmlrpc-core-c3,
Breaks:
 libxmlrpc-core-c3 (<< ${source:Version}),
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Lightweight RPC library based on XML and HTTP [C runtime libraries]
 XML-RPC is a quick-and-easy way to make procedure calls over the Internet.
 It converts the procedure call into an XML document, sends it to a remote
 server using HTTP, and gets back the response as XML.
 .
 This library provides a modular implementation of XML-RPC for C.

Package: libxmlrpc-util4
Architecture: any
Multi-Arch: same
Breaks:
 libxmlrpc-core-c3 (<< 1.59.03-2),
 libxmlrpc-core-c3t64 (<< 1.59.03-2),
Replaces:
 libxmlrpc-core-c3 (<< 1.59.03-2),
 libxmlrpc-core-c3t64 (<< 1.59.03-2),
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Lightweight RPC library based on XML and HTTP [extra C runtime libraries]
 XML-RPC is a quick-and-easy way to make procedure calls over the Internet.
 It converts the procedure call into an XML document, sends it to a remote
 server using HTTP, and gets back the response as XML.
 .
 This library provides extra utility functions.

Package: libxmlrpc-util-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Breaks:
 libxmlrpc-core-c3-dev (<< 1.59.03-2),
Replaces:
 libxmlrpc-core-c3-dev (<< 1.59.03-2),
Depends:
 libxmlrpc-util4 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Lightweight RPC library based on XML and HTTP [extra development libraries]
 XML-RPC is a quick-and-easy way to make procedure calls over the Internet.
 It converts the procedure call into an XML document, sends it to a remote
 server using HTTP, and gets back the response as XML.
 .
 This library provides extra utility functions.
 .
 Install this package if you wish to develop your own programs using this
 library.

Package: xmlrpc-api-utils
Conflicts:
 xml-rpc-api2cpp,
 xml-rpc-api2txt,
Provides:
 xml-rpc-api2cpp,
 xml-rpc-api2txt,
Replaces:
 xml-rpc-api2cpp,
 xml-rpc-api2txt,
Architecture: any
Section: devel
Depends:
 libc6-dev,
 libfrontier-rpc-perl,
 libxmlrpc-c++9 (= ${binary:Version}),
 libxmlrpc-core-c3t64 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Generate C++ wrapper classes for XML-RPC servers
 XML-RPC is a quick-and-easy way to make procedure calls over the Internet.
 It converts the procedure call into an XML document, sends it to a remote
 server using HTTP, and gets back the response as XML.
 .
 This package contains two programs:
  * xml-rpc-api2cpp, a utility for generating C++ wrapper classes based
    on an XML-RPC API, obtained by interrogating an XML-RPC server.
  * xml-rpc-api2txt, a utility for printing out an XML-RPC API as a
    text file.  The API is obtained by interrogating an XML-RPC server.
